src/base/cs_io.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
cs_io.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <mpi.h>`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "cs_base.h"`
`#include "cs_log.h"`
`#include "cs_map.h"`
`#include "cs_file.h"`
`#include "cs_timer.h"`
`#include "cs_io.h"`
Include dependency graph for cs_io.c:

## Macros
#define | CS_IO_MPI_TAG 'C'+'S'+'_'+'I'+'O'

## Functions
cs_io_t * | cs_io_initialize (const char *file_name, const char *magic_string, cs_io_mode_t mode, cs_file_access_t method, long echo, MPI_Info hints, MPI_Comm block_comm, MPI_Comm comm)
cs_io_t * | cs_io_initialize_with_index (const char *file_name, const char *magic_string, cs_file_access_t method, long echo, MPI_Info hints, MPI_Comm block_comm, MPI_Comm comm)
void | cs_io_finalize (cs_io_t **cs_io)
const char * | cs_io_get_name (const cs_io_t *cs_io)
size_t | cs_io_get_index_size (const cs_io_t *inp)
const char * | cs_io_get_indexed_sec_name (const cs_io_t *inp, size_t id)
cs_io_sec_header_t | cs_io_get_indexed_sec_header (const cs_io_t *inp, size_t id)
size_t | cs_io_get_echo (const cs_io_t *cs_io)
int | cs_io_read_header (cs_io_t *inp, cs_io_sec_header_t *header)
int | cs_io_set_indexed_position (cs_io_t *inp, cs_io_sec_header_t *header, size_t id)
void | cs_io_set_cs_lnum (cs_io_sec_header_t *header, const cs_io_t *cs_io)
void | cs_io_set_cs_gnum (cs_io_sec_header_t *header, const cs_io_t *cs_io)
void | cs_io_assert_cs_real (const cs_io_sec_header_t *header, const cs_io_t *cs_io)
void * | cs_io_read_global (const cs_io_sec_header_t *header, void *elts, cs_io_t *cs_io)
void * | cs_io_read_block (const cs_io_sec_header_t *header, cs_gnum_t global_num_start, cs_gnum_t global_num_end, void *elts, cs_io_t *cs_io)
void * | cs_io_read_index_block (cs_io_sec_header_t *header, cs_gnum_t global_num_start, cs_gnum_t global_num_end, cs_gnum_t *elts, cs_io_t *cs_io)
void | cs_io_write_global (const char *sec_name, cs_gnum_t n_vals, size_t location_id, size_t index_id, size_t n_location_vals, cs_datatype_t elt_type, const void *elts, cs_io_t *outp)
void | cs_io_write_block (const char *sec_name, cs_gnum_t n_g_elts, cs_gnum_t global_num_start, cs_gnum_t global_num_end, size_t location_id, size_t index_id, size_t n_location_vals, cs_datatype_t elt_type, const void *elts, cs_io_t *outp)
void | cs_io_write_block_buffer (const char *sec_name, cs_gnum_t n_g_elts, cs_gnum_t global_num_start, cs_gnum_t global_num_end, size_t location_id, size_t index_id, size_t n_location_vals, cs_datatype_t elt_type, void *elts, cs_io_t *outp)
void | cs_io_skip (const cs_io_sec_header_t *header, cs_io_t *pp_io)
cs_file_off_t | cs_io_get_offset (cs_io_t *inp)
void | cs_io_set_offset (cs_io_t *inp, cs_file_off_t offset)
void | cs_io_log_initialize (void)
void | cs_io_log_finalize (void)
void | cs_io_dump (const cs_io_t *cs_io)

## Macro Definition Documentation

#define CS_IO_MPI_TAG 'C'+'S'+'_'+'I'+'O'

## Function Documentation

void cs_io_assert_cs_real | ( | const cs_io_sec_header_t * | header,
|  | const cs_io_t * | cs_io
| ) |  |

void cs_io_dump | ( | const cs_io_t * | cs_io | ) |

void cs_io_finalize | ( | cs_io_t ** | cs_io | ) |

size_t cs_io_get_echo | ( | const cs_io_t * | cs_io | ) |

size_t cs_io_get_index_size | ( | const cs_io_t * | inp | ) |

cs_io_sec_header_t cs_io_get_indexed_sec_header | ( | const cs_io_t * | inp,
|  | size_t | id
| ) |  |

const char* cs_io_get_indexed_sec_name | ( | const cs_io_t * | inp,
|  | size_t | id
| ) |  |

const char* cs_io_get_name | ( | const cs_io_t * | cs_io | ) |

cs_file_off_t cs_io_get_offset | ( | cs_io_t * | inp | ) |

cs_io_t* cs_io_initialize | ( | const char * | file_name,
|  | const char * | magic_string,
|  | cs_io_mode_t | mode,
|  | cs_file_access_t | method,
|  | long | echo,
|  | MPI_Info | hints,
|  | MPI_Comm | block_comm,
|  | MPI_Comm | comm
| ) |  |

cs_io_t* cs_io_initialize_with_index | ( | const char * | file_name,
|  | const char * | magic_string,
|  | cs_file_access_t | method,
|  | long | echo,
|  | MPI_Info | hints,
|  | MPI_Comm | block_comm,
|  | MPI_Comm | comm
| ) |  |

void cs_io_log_finalize | ( | void |  | ) |

void cs_io_log_initialize | ( | void |  | ) |

void* cs_io_read_block | ( | const cs_io_sec_header_t * | header,
|  | cs_gnum_t | global_num_start,
|  | cs_gnum_t | global_num_end,
|  | void * | elts,
|  | cs_io_t * | cs_io
| ) |  |

void* cs_io_read_global | ( | const cs_io_sec_header_t * | header,
|  | void * | elts,
|  | cs_io_t * | cs_io
| ) |  |

int cs_io_read_header | ( | cs_io_t * | inp,
|  | cs_io_sec_header_t * | header
| ) |  |

void* cs_io_read_index_block | ( | cs_io_sec_header_t * | header,
|  | cs_gnum_t | global_num_start,
|  | cs_gnum_t | global_num_end,
|  | cs_gnum_t * | elts,
|  | cs_io_t * | cs_io
| ) |  |

void cs_io_set_cs_gnum | ( | cs_io_sec_header_t * | header,
|  | const cs_io_t * | cs_io
| ) |  |

void cs_io_set_cs_lnum | ( | cs_io_sec_header_t * | header,
|  | const cs_io_t * | cs_io
| ) |  |

int cs_io_set_indexed_position | ( | cs_io_t * | inp,
|  | cs_io_sec_header_t * | header,
|  | size_t | id
| ) |  |

void cs_io_set_offset | ( | cs_io_t * | inp,
|  | cs_file_off_t | offset
| ) |  |

void cs_io_skip | ( | const cs_io_sec_header_t * | header,
|  | cs_io_t * | pp_io
| ) |  |

void cs_io_write_block | ( | const char * | sec_name,
|  | cs_gnum_t | n_g_elts,
|  | cs_gnum_t | global_num_start,
|  | cs_gnum_t | global_num_end,
|  | size_t | location_id,
|  | size_t | index_id,
|  | size_t | n_location_vals,
|  | cs_datatype_t | elt_type,
|  | const void * | elts,
|  | cs_io_t * | outp
| ) |  |

void cs_io_write_block_buffer | ( | const char * | sec_name,
|  | cs_gnum_t | n_g_elts,
|  | cs_gnum_t | global_num_start,
|  | cs_gnum_t | global_num_end,
|  | size_t | location_id,
|  | size_t | index_id,
|  | size_t | n_location_vals,
|  | cs_datatype_t | elt_type,
|  | void * | elts,
|  | cs_io_t * | outp
| ) |  |

void cs_io_write_global | ( | const char * | sec_name,
|  | cs_gnum_t | n_vals,
|  | size_t | location_id,
|  | size_t | index_id,
|  | size_t | n_location_vals,
|  | cs_datatype_t | elt_type,
|  | const void * | elts,
|  | cs_io_t * | outp
| ) |  |